WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Constant Contact WordPress Widget

Easily add Constant Contact signup forms to your website (sidebar or content) and configure how they look.

How do I use the new `apply_filters()` functionality? (Added 1.7)

If you want to change some code in the widget, you can use the WordPress add_filter() function to achieve this.

You can add code to your theme's functions.php file that will modify the widget output. Here's an example:

function my_example_function($widget) { 
    // The $widget variable is the output of the widget
    // This will replace 'this word' with 'that word' in the widget output.
    $widget = str_replace('this word', 'that word', $widget);
    // Make sure to return the $widget variable, or it won't work!
    return $widget;
}
add_filter('cc_signup_form_widget', 'my_example_function');

How do I create a Constant Contact form using this widget?

Go to 'Appearance' > 'Widgets,' click "Add" next to "Constant Contact," click "Edit" to configure your form and follow the on-screen instruction.

Do I need a Constant Contact account for this widget?

This plugin requires a Constant Contact account.

Constant Contact is a great email marketing company -- their rates are determined by the number of contacts in your list, not how many emails you send. This means you can send unlimited emails per month for one fixed rate! Give it a test run

How do use this as a PHP function and not have it in the sidebar?

In the Widget options, fill out the Widget settings as you would normally. Set 'Show the Widget' to 'No, Hide Widget', which will save the widget settings, but will not display it. Then you can use the following PHP to show the widget: do_shortcode('[constantcontact id="#"]');.

Can I call Constant Contact if this form does not work?

No, this form is not created by Constant Contact, so please do not call them with questions. Instead, "leave a message on the widget blog page".

What is the license for this plugin?

  • This plugin is released under a GPL license.

Requires: 2.8 or higher
Compatible up to: 3.5.2
Last Updated: 2012-12-13
Downloads: 43,973

Ratings

3 stars
3.1 out of 5 stars

Support

0 of 2 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,1,1
100,2,2
100,1,1 100,1,1
100,1,1
100,2,2 50,2,1
0,1,0
100,1,1 100,1,1
50,2,1
100,1,1 100,1,1
100,1,1
100,1,1
50,2,1
100,1,1
100,1,1
0,1,0
0,1,0